std::pmr::memory_resource(3)

NAME
std::pmr::memory_resource - Class memory_resource.

SYNOPSIS

#include <memory_resource>

Inherited by std::pmr::monotonic_buffer_resource, and std::pmr::unsynchronized_pool_resource.

  Public Member Functions
memory_resource (const memory_resource &)=default
void * allocate (size_t __bytes, size_t __alignment=_S_max_align)
void deallocate (void *__p, size_t __bytes, size_t __alignment=_S_max_align)
bool is_equal (const memory_resource &__other) const noexcept
memory_resource & operator= (const memory_resource &)=default

Detailed Description

Class memory_resource.

Since
    C++17

Author

Generated automatically by Doxygen for libstdc++ from the source code.